Class KeySystemConfiguration.Builder
-
- All Implemented Interfaces:
public final class KeySystemConfiguration.BuilderThe builder for the key system configuration.
-
-
Constructor Summary
Constructors Constructor Description KeySystemConfiguration.Builder(String licenseAcquisitionURL)
-
Method Summary
Modifier and Type Method Description final KeySystemConfiguration.Builderheaders(Map<String, String> headers)Sets the map of HTTP headers for the license acquisition request. final KeySystemConfiguration.BuilderuseCredentials(Boolean useCredentials)Sets whether the player is allowed to use credentials for cross-origin requests. final KeySystemConfiguration.BuilderqueryParameters(Map<String, String> queryParameters)Sets the map of query parameters for the license acquisition request. final KeySystemConfiguration.BuilderlicenseType(LicenseType licenseType)Sets the license type. final KeySystemConfiguration.Buildercertificate(ByteArray certificate)Sets the certificate. final KeySystemConfiguration.BuilderforceSoftwareDecrypt(Boolean forceSoftwareDecrypt)Sets whether to force decryption to happen in software. final KeySystemConfiguration.BuilderintegrationParameters(Map<String, Object> integrationParameters)Sets the integration-specific parameters to be used by a ContentProtectionIntegration. final KeySystemConfigurationbuild()Builds the key system configuration. -
-
Constructor Detail
-
KeySystemConfiguration.Builder
KeySystemConfiguration.Builder(String licenseAcquisitionURL)
- Parameters:
licenseAcquisitionURL- The license acquisition URL.
-
-
Method Detail
-
headers
final KeySystemConfiguration.Builder headers(Map<String, String> headers)
Sets the map of HTTP headers for the license acquisition request.
- Parameters:
headers- Map of HTTP headers.
-
useCredentials
final KeySystemConfiguration.Builder useCredentials(Boolean useCredentials)
Sets whether the player is allowed to use credentials for cross-origin requests.
- Parameters:
useCredentials- Whether the player is allowed to use credentials for cross-origin requests.
-
queryParameters
final KeySystemConfiguration.Builder queryParameters(Map<String, String> queryParameters)
Sets the map of query parameters for the license acquisition request.
- Parameters:
queryParameters- Map of query parameters for the license acquisition requests.
-
licenseType
final KeySystemConfiguration.Builder licenseType(LicenseType licenseType)
Sets the license type.
- Parameters:
licenseType- The LicenseType.
-
certificate
final KeySystemConfiguration.Builder certificate(ByteArray certificate)
Sets the certificate.
- Parameters:
certificate- The certificate to be used.
-
forceSoftwareDecrypt
final KeySystemConfiguration.Builder forceSoftwareDecrypt(Boolean forceSoftwareDecrypt)
Sets whether to force decryption to happen in software.
-
integrationParameters
final KeySystemConfiguration.Builder integrationParameters(Map<String, Object> integrationParameters)
Sets the integration-specific parameters to be used by a ContentProtectionIntegration.
-
build
final KeySystemConfiguration build()
Builds the key system configuration.
-
-
-
-